#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Box.H>

//#include "SerialPort.H"
#include "SerialPort.cpp"
//#include "PositionBox.H"

volatile int STOP = FALSE;
char buffer[255];

Fl_Window *window;
Fl_Box *timeLabel;
Fl_Box *messageLabel;
Fl_Button *exitButton;
Fl_Button *pauseButton;
//PositionBox *positionBox;

// serial port object
SerialPort *serialPort;

void exitCallback(Fl_Widget *widge,void *w) {
	window->hide();
}

static void idleCallback(void *) {

	char pong;
	pong = serialPort->poll();
	printf("%c",pong);


}

int main (int argc, char **argv) {
	int bar;
	int *data;
	void *foo = 0;
	
	serialPort = new SerialPort();


	window = new Fl_Window(800,600);

	exitButton = new Fl_Button(605,5,190,20,"Exit");
	exitButton->labelsize(14);
	exitButton->labelfont(FL_BOLD);
	exitButton->callback((Fl_Callback *)exitCallback);

	pauseButton = new Fl_Button(605,30,190,20,"Pause");
	pauseButton->labelsize(14);
	pauseButton->labelfont(FL_BOLD);

	messageLabel = new Fl_Box(605,550,190,20,"Message Counter: ");
	messageLabel->labelsize(14);
	messageLabel->labelfont(FL_BOLD);

	timeLabel = new Fl_Box(605,575,190,20,"Packet Time: ");


	//open the serial port
	bar = serialPort->openPort();
	if(bar <0){
		printf("aaaaaaaaaaaargh!\n");
		exit(1);
	}

	

// Insert addition code for the position box here
/*
 	*positionBox = new PositonBox(5,5,290,270);

 */
//	Fl::add_idle((Fl_Callback*)idleCallback);

	window->end();
	window->show(argc, argv);
	return Fl::run();
	//add idle function to the main window
	Fl::add_idle(idleCallback, foo);

}

